package com.memorynotfound.spring.core;

import com.memorynotfound.spring.core.config.AppConfig;
import org.springframework.context.annotation.AnnotationConfigApplicationContext;

public class RunJavaConfig {

    public static void main(String... args){
        // choosing an active profile
        AnnotationConfigApplicationContext ctx = new AnnotationConfigApplicationContext();
        ctx.getEnvironment().setActiveProfiles("production");
        ctx.register(AppConfig.class);
        ctx.refresh();
        ctx.close();

        // using the default active profile
        ctx = new AnnotationConfigApplicationContext();
        ctx.register(AppConfig.class);
        ctx.refresh();
        ctx.close();
    }
}
